package com.qs.mp.channel.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.common.enums.ChannelGoodsSettleStatusTypeEnum;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zhangkaikai
 * @create 2023-06-07 3:50 PM
 **/
@ApiModel("门店采购商品结算出参类")
@Data
public class ChannelGoodsSettleVO {


    @ApiModelProperty("订单号")
    private String orderId;

    @ApiModelProperty("下单时间")
    private Date createdTime;

    @ApiModelProperty("门店名称")
    private String channelName;

    @ApiModelProperty("手机号")
    private String tel;

    @ApiModelProperty("商品名称")
    private String title;

    @ApiModelProperty("总库存")
    private Integer quantity;

    @ApiModelProperty("已核销")
    private Integer verifyQty;

    @ApiModelProperty("剩余库存")
    private Integer remainQty;

    @ApiModelProperty("采购成本")
    private Integer purchaseCost;

    @ApiModelProperty("结算库存")
    private Integer settleQty;

    @ApiModelProperty("状态 1未结算 2已结算 3已结算 4核销完成")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private ChannelGoodsSettleStatusTypeEnum status;
}
